function showTrackTime()
{
    document.getElementById('ac_url_tracking').style.display = '';
    document.getElementById('ac_url_tracking_log').style.display = '';
    document.getElementById('ac_url_tracking_type').style.display = '';
}
function hideTrackTime()
{
    document.getElementById('ac_url_tracking').style.display = 'none';
    document.getElementById('ac_url_tracking_log').style.display = 'none';
    document.getElementById('ac_url_tracking_type').style.display = 'none';
}
function showPortFlt()
{
    document.form_add_port.port_to.disabled=false;
    document.form_add_port.port_from.disabled=false;
    document.form_acl.portflt.value='on';
    document.form_add_port.menu_state.disabled=false;
    // show port filter options by hard code
    document.getElementById('portFilterRow0').style.display = '';
    document.getElementById('portFilterRow1').style.display = '';
}
function hidePortFlt()
{
    document.form_add_port.port_to.disabled=true;
    document.form_add_port.port_from.disabled=true;
    document.form_acl.portflt.value='off';
    document.form_add_port.menu_state.disabled=true;
    // hide port filter options by hard code
    document.getElementById('portFilterRow0').style.display = 'none';
    document.getElementById('portFilterRow1').style.display = 'none';
}
function acl_validate()
{
    var ip1,ip2,ip3,ip4,sn1,sn2,sn3,sn4;
    var valid = true;
    ip1 = document.form_acl_add.ip1.value;
    ip2 = document.form_acl_add.ip2.value;
    ip3 = document.form_acl_add.ip3.value;
    ip4 = document.form_acl_add.ip4.value;
    if (!checkIP(ip1,ip2,ip3,ip4)) {
        document.form_acl_add.ip1.select();
        valid = false;
        alert(glo_Message.js_alert_acl_ip);
        return valid;
    }

    sn1 = document.form_acl_add.subnet1.value;
    sn2 = document.form_acl_add.subnet2.value;
    sn3 = document.form_acl_add.subnet3.value;
    sn4 = document.form_acl_add.subnet4.value;

    // subnet mask 255.255.255.255 is valid for IP Block list - special case before using checkmask
    if (sn1==255 && sn2==255 && sn3==255 && sn4==255) {
        return true;
    }

    if (!checkmask(sn1,sn2,sn3,sn4)) {
        document.form_acl_add.subnet1.select();
        valid = false;
        alert(glo_Message.js_alert_acl_subnet);
        return valid;
    }
    return valid;
}
function validate_portflt()
{
    var portto = document.form_add_port.port_to.value;
    var portfrom = document.form_add_port.port_from.value;
    var isValid;

    if(portto == "" || portfrom == "") {
        isValid = false;
    } else if (portto>65535 || 0>portto || portfrom>65535 || 0>portfrom) {
        isValid = false;
    } else if ( parseInt(portfrom) > parseInt(portto) ) {
        alert(glo_Message.js_alert_port_filtering_0);
        isValid = false;
    } else {
        isValid = true;
    }
    return isValid;
}

// Control the ability of editing URL tracking port field
function SetEditURLTrackingPort(flagEdit)
{
    if (flagEdit == 1) {
	document.form_acl.url_tracking_port.disabled = false;
    } else {
	document.form_acl.url_tracking_port.disabled = true;
    }
}

// Block inputting any invalid characters in Customized port field of URL Tracking
function URLTrackingPortCharOnly(evt)
{
    var keyChar;
    var keyNum;

    if (document.all) {
	keyNum = evt.keyCode;
    } else {
	keyNum = evt.which;
    }
    keyChar = String.fromCharCode(keyNum);

    if (keyNum == null || keyNum == 0 || keyNum == 8 || keyNum == 9 || keyNum == 13 || keyNum == 27) {
	return true;
    } else if ((',-0123456789').indexOf(keyChar) > -1) {
	return true;
    } else {
	return false;
    }
}
