<?php

/**
 *  @file: category.php
 *  @note: $arr_category store all the category available in the configuration manager.
 *         If you want to add a new category, please add the keyword in the $arr_category,
 *         then add the name of the tab in cmlang.
*/

// 17-09-2009 now category also used by Operator Accounts parameter
// * do not using 'admin' as a category (since this already use in Operator Accountsas parameter ) 

$arr_category = array ( //Please follow alphabetical order
    'acl',      // Access Control List
    'an',		// Announcement
	'a',        // Authentication Sever
    'bcreate',  // Bulk Accounts
    'flt',		// Clients Filter
    'm',        // Configuration Manager
    'cc',       // Credit Cards
    'dhcp',     // DHCP
    'd',        // Dispatcher
    'e',        // Exception Free Websites
    'fo',       // Failover
   	'ibmsg',	// In-browser Message 
    'key',      // Instant Keywords
    'r',        // Mutliple Network Segments
	'nat',		// NAT
    'p',        // Plans
    'print',    // Print
    's',        // Session Handling
    'cart',     // Shopping Cart
    'sstatus',  // Status
    'lang',     // UI Customization
    'u',	    // Users
    'vhosts'    // Virtual Hosts
);

// version 5 category
$old_v5_arr_category = array ( //Please follow alphabetical order
    'acl',      // Access Control List
    'an',		// Announcement
	'a',        // Authentication Sever
    'bcreate',  // Bulk Accounts
    'flt',		// Clients Filter
    'm',        // Configuration Manager
    'cc',       // Credit Cards
    'dhcp',     // DHCP
    'd',        // Dispatcher
    'e',        // Exception Free Websites
    'fo',       // Failover
    'key',      // Instant Keywords
    'r',        // Mutliple Network Segments
	'nat',		// NAT
    'p',        // Plans
    'print',    // Print
    's',        // Session Handling
    'cart',     // Shopping Cart
    'sstatus',  // Status
    'lang',     // UI Customization
    'u',	    // Users
    'vhosts'    // Virtual Hosts
);

// version 4 category
$old_v4_arr_category = array ( //Please follow alphabetical order
    'acl',      // Access Control List
    'a',        // Authentication Sever
    'bcreate',  // Bulk Accounts
    'm',        // Configuration Manager
    'cc',       // Credit Cards
    'dhcp',     // DHCP
    'd',        // Dispatcher
    'e',        // Exception Free Websites
    'key',      // Instant Keywords
    'r',        // Mutliple Network Segments
    'p',        // Plans
    'print',    // Print
    's',        // Session Handling
    'cart',     // Shopping Cart
    'sstatus',  // Status
    'lang',     // UI Customization
    'u'        // Users
);

/**
 *  DRM = Disabled in RADIUS Mode
 *  @note: If you want to disable a category in RADIUS mode, add the category in $DRM
 */
$DRM = array(
    'u', 'p', 'cc', 'cart', 'bcreate'
);

/**
 *  DAM = Disabled in anonymous mode
 *  @note: If you want to disable a category in anonymous mode, add the category in $DAM
 */
$DAM = array(
    'u', 'p', 'cc', 'cart', 'bcreate', 'announce'
);

/**
 *  DSM = Disabled in Standby Mode
 *  @note: If you want to disable a category in Standby mode, add the category in $DSM
 */
$DSM = array(
    'u', 'p', 'bcreate'
);

?>
