//*********************************************
// Bandwidth throttling
//*********************************************
function disable_textbox()
{
    document.form_d.bt_num.disabled=true;
    document.form_d.bt_num_down.disabled=true;
}

function enable_textbox()
{
    document.form_d.bt_num.disabled=false;
    document.form_d.bt_num_down.disabled=false;
}

//*********************************************
// Global data transfer setting
//*********************************************
function ShowQuotaDL()
{
    document.getElementById('div_dispatch_quota_dl').style.display = '';
}

function HideQuotaDL()
{
    document.form_d.bwdl_quota_checkbox.checked = false;
    EnableQuotaDL();
    document.getElementById('div_dispatch_quota_dl').style.display = 'none';
}

function EnableQuotaDL()
{
    if( document.form_d.bwdl_quota_checkbox.checked == true )
        document.form_d.bwdl_quota.disabled = false;
    else
    {
        document.form_d.bwdl_quota.disabled = true;
        document.form_d.bwdl_quota.value = '';
    }
}

function ShowQuotaUL()
{
    document.getElementById('div_dispatch_quota_ul').style.display = '';
}

function HideQuotaUL()
{
    document.form_d.bwul_quota_checkbox.checked = false;
    EnableQuotaUL();
    document.getElementById('div_dispatch_quota_ul').style.display = 'none';
}

function EnableQuotaUL()
{
    if( document.form_d.bwul_quota_checkbox.checked == true )
        document.form_d.bwul_quota.disabled = false;
    else
    {
        document.form_d.bwul_quota.disabled = true;
        document.form_d.bwul_quota.value = '';
    }
}

//******************************************************
// Global accumulative data transfer reset setting
//******************************************************
function show_hide(id, isshow)
{
        document.getElementById(id).style.display = isshow;
}

function abw_disable_all(){
    show_hide('abw_monthly', 'none');
    show_hide('abw_daily', 'none');
    show_hide('abw_lastrbw', 'none');
}

function abw_enable_textbox(){
    show_hide('abw_monthly', '');
    show_hide('abw_daily', 'none');
    show_hide('abw_lastrbw', '');
}

function abw_disable_textbox(){
    show_hide('abw_monthly', 'none');
    show_hide('abw_daily', '');
    show_hide('abw_lastrbw', '');
}

//*********************************************
// Qos
//*********************************************
function showQOS(){
    var i;
    var radio = document.form_d.qos;
    var oFrameDoc = getFrameDocument(frames['loadframe_qos']);

    // 20080929 - Remove settings of maximum values, increase loops
    if( radio[0].checked == true ) {
        for (i = 0; i < 4; i++)
            document.getElementById('divQos'+i).style.display = '';
        document.form_d.qos_dl.disabled=false;
        document.form_d.qos_ul.disabled=false;
        oFrameDoc.form_qos.qos_port.disabled=false;
        oFrameDoc.form_qos.qos_mindl.disabled=false;
        oFrameDoc.form_qos.qos_minul.disabled=false;
    }
    else if( radio[1].checked == true ) {
        for (i = 0; i < 4; i++)
            document.getElementById('divQos'+i).style.display = 'none';
        document.form_d.qos_dl.value = '';
        document.form_d.qos_ul.value = '';
        document.form_d.qos_dl.disabled=true;
        document.form_d.qos_ul.disabled=true;
        oFrameDoc.form_qos.qos_port.disabled=true;
        oFrameDoc.form_qos.qos_mindl.disabled=true;
        oFrameDoc.form_qos.qos_minul.disabled=true;
    }
}

//*********************************************
// Proxy ARP
//*********************************************
function showARP() {
    var radio = document.form_d.parp;
    if( radio[0].checked == true ) {    // enabled
        document.getElementById('divPARP').style.display = '';
    }
    else if( radio[1].checked == true ) {   // disabled
        document.getElementById('divPARP').style.display = 'none';
    }
}

//*********************************************
// NAT
//*********************************************

function displayARP(){
    var radio = document.form_d.nat;
    if( radio[0].checked == true ) {    // enabled NAT
        document.form_d.parp[1].checked = true;
    showARP();
    document.getElementById('parp_radio').style.display = 'none';
    
    }
    else if( radio[1].checked == true ) {   // disabled NAT
        document.form_d.parp[1].checked = true;
    showARP();
    document.getElementById('parp_radio').style.display = '';
    
    }
}

//*********************************************
// SMTP ON/OFF
//*********************************************
function show_hideSMTP(id){
    var isshow='';

    content = document.getElementById(id);
    if (content.style.display == 'none')
        isshow = '';
    else
        isshow = 'none';

    content.style.display = isshow;
}

function commonChangeSMTP(){
    show_hideSMTP('smtp_on_checked');
    show_hideSMTP('smtp_off_checked');
    show_hideSMTP('smtp_line1');
    //show_hideSMTP('smtp_isp_on_checked');
	//show_hideSMTP('smtp_line2');
    show_hideSMTP('rcptMax');
    show_hideSMTP('smtp_line4');
    show_hideSMTP('mailsize');
    show_hideSMTP('smtp_line5');
    show_hideSMTP('execTime');
    show_hideSMTP('smtp_line6');
    //show_hideSMTP('MailLogOffset');
	/*if(document.form_d.smtp_on_selection[0].checked==false){
		document.getElementById('IspSmtpDomain').style.display = 'none';
		document.getElementById('smtp_line3').style.display = 'none';
		document.getElementById('SmtpPort').style.display = 'none';
		document.getElementById('smtp_line3d').style.display = 'none';
		document.form_d.smtp_isp_on_selection[0].checked= true;
		document.getElementById('IspSmtpAuthLogin').style.display = 'none';
		document.getElementById('smtp_line3a').style.display = 'none';
		document.form_d.IspSmtpAuthLogin[1].checked= true;
		ispChangeAuthLogin();
	}*/
}

function smtpOff(){
    document.form_d.smtp_off_selection[1].checked = true;
    document.form_d.smtp_on_selection[1].checked = true;
    commonChangeSMTP();	
    		document.getElementById('IspSmtpDomain').style.display = 'none';
		document.getElementById('smtp_line3').style.display = 'none';
		document.getElementById('SmtpPort').style.display = 'none';
		document.getElementById('smtp_line3d').style.display = 'none';
		document.form_d.IspSmtpDomain.value = '';
		document.getElementById('IspSmtpAuthLogin').style.display = 'none';
		document.getElementById('smtp_line3a').style.display = 'none';
		document.form_d.IspSmtpAuthLogin[0].checked= false;
		ispChangeAuthLogin();
		//document.form_d.SmtpPort.value = '';
}

function smtpOn(){
    document.form_d.smtp_off_selection[0].checked = true;
    document.form_d.smtp_on_selection[0].checked = true;
    commonChangeSMTP();	
    		document.getElementById('IspSmtpDomain').style.display = '';
		document.getElementById('smtp_line3').style.display = '';
		document.getElementById('SmtpPort').style.display = '';
		document.getElementById('smtp_line3d').style.display = '';
		document.getElementById('IspSmtpAuthLogin').style.display = '';
		document.getElementById('smtp_line3a').style.display = '';
		document.form_d.IspSmtpAuthLogin[1].checked= true;
		ispChangeAuthLogin();
}

function getFrameDocument(frameObj)
{
/**
 *  For compatibility between IE & Firefox
 */
    if (frameObj.document) {
        return frameObj.document;
    } else {
        return frameObj.contentDocument;
    }
}

function ispChangeAuthLogin(){
	if(document.form_d.IspSmtpAuthLogin[0].checked==true){
		document.getElementById('IspSmtpUserName').style.display = '';
		document.getElementById('smtp_line3b').style.display = '';
		document.getElementById('IspSmtpPassword').style.display = '';
		document.getElementById('smtp_line3c').style.display = '';
	}else{
		document.getElementById('IspSmtpUserName').style.display = 'none';
		document.getElementById('smtp_line3b').style.display = 'none';
		document.getElementById('IspSmtpPassword').style.display = 'none';
		document.getElementById('smtp_line3c').style.display = 'none';
		document.form_d.IspSmtpUserName.value = '';
		document.form_d.IspSmtpPassword.value = '';
	}
}

// 20080930 - Modify global bandwidth speed values based on selected type
function OnSelectQOSBw(instance)
{
    var dl = document.form_d.qos_dl;
    var ul = document.form_d.qos_ul;

    switch (instance.value) {
	case '0':
	    // Clear fields
	    dl.value = '';
	    ul.value = '';
	    break;
	case '1':
	    // DSL (384 Kb)
	    dl.value = 48;
	    ul.value = 48;
	    break;
	case '2':
	    // Pro DSL (768 Kb)
	    dl.value = 96;
	    ul.value = 96;
	    break;
	case '3':
	    // T1 (1.5 Mb)
	    dl.value = 192;
	    ul.value = 192;
	    break;
	case '4':
	    // Cable modem (3 Mb)
	    dl.value = 384;
	    ul.value = 384;
	    break;
	case '5':
	    // LAN (10 Mb)
	    dl.value = 1280;
	    ul.value = 1280;
	    break;
	case '6':
	    // WLAN (11 Mb)
	    dl.value = 1408;
	    ul.value = 1408;
	    break;
	case '7':
	    // T3 (44 Mb)
	    dl.value = 5632;
	    ul.value = 5632;
	    break;
    }
}
