<?php
$ipStart = "0.0.0.0";
$ipEnd = "0.0.0.0";

if( isset($start_ip1) && isset($start_ip2) && isset($start_ip3) && isset($start_ip4) )
  $ipStart="$start_ip1.$start_ip2.$start_ip3.$start_ip4";

if( isset($end_ip1) && isset($end_ip2) && isset($end_ip3) && isset($end_ip4) )
  $ipEnd="$end_ip1.$end_ip2.$end_ip3.$end_ip4";

$ip_array = isset($ser_ip_array)? unserialize($ser_ip_array) : array();
$ipdeleteProxyARP_array = isset($ser_ipdeleteProxyARP_array)? unserialize($ser_ipdeleteProxyARP_array) : array();
    
$total=ipStrToLong($ipEnd) - ipStrToLong($ipStart)+1;
$startAddr = ipStrToLong($ipStart);
$count = 0;
for($i=0; $i<$total; $i++)
{
  if(verifyIP($startAddr+$i)) {
    $ipAddr = ipLongToStr($startAddr+$i);
    $ip_array[count($ip_array)] = $ipAddr;
    $count++;
  }
}

if($count>0) {
  $ser_ip_array = serialize($ip_array);
  session_register('ser_ip_array');
}

if( isset($delete) )
{
  $temp = explode(",", $delete);
  $ipdeleteProxyARP_array = array_merge($ipdeleteProxyARP_array, $temp);  
  $ser_ipdeleteProxyARP_array = serialize($ipdeleteProxyARP_array);
  session_register('ser_ipdeleteProxyARP_array');
}

//functions:
function ipStrToLong($ip)
{
  list($ip1,$ip2,$ip3,$ip4) = explode('.', $ip, 4);
  $ip = sprintf("%02x%02x%02x%02x", $ip1,$ip2,$ip3,$ip4);
	
  $ip_long = 0;
  $count = strlen($ip)-1;
  for($i=0; $i<=$count; $i++) {
	$ip_long += hexdec($ip[$count-$i]) * pow(16, $i);
  }
	
  return $ip_long;
}

function ipLongToStr($ip_long)
{
  if($ip_long <0)
		return "";
	
  //dec to hex
  $iphex = array();
  $i = 0;
  while($ip_long!=0) {
	$rslt = floor($ip_long/16); 
	$iphex[$i] = $ip_long - ($rslt*16);
	$ip_long = $rslt;
	$i++;
  }

  $ip = "";
  for($i=count($iphex)-1; $i>=0; $i--) {
	$ip .= dechex($iphex[$i]);
  }
	
  //convert hex to 12 digits
  while(strlen($ip)<8) {
	$ip = "0".$ip;
  }
	
  //convert hex to ip format
  if(strlen($ip) == 8) {
	$ip_array = array();
		
	$count = 0;
	for($i=0; $i<8; $i=$i+2) {
	  $ip_array[$count] = hexdec(strtoupper(substr($ip, $i, 2)));
	  $count++;
	}
			
	$ip = "$ip_array[0].$ip_array[1].$ip_array[2].$ip_array[3]";
		
	return $ip;
  }
	
  return "";
}

function verifyIP($ipLong)
{
  $ip1 = ($ipLong & 0xFF000000) / 0x1000000;
  $ip2 = ($ipLong & 0xFF0000) / 0x10000;
  $ip3 = ($ipLong & 0xFF00) / 0x100;
  $ip4 = $ipLong & 0xFF;
  
  if ( $ip1==0xFF || $ip2==0xFF || $ip3==0xFF || ($ip4==0xFF || $ip4==0x00) )
    return false;
  else
    return true;
}

function table_new($row) {
		
	$table = '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	
	//x - row, y - col
	//$row[x][0] - html style class
	//$row[x][y] - field value
	foreach($row as $field) {			
		
		$table .= "<tr class='$field[0]'>";
		for($i=1; $i<count($field); $i++) {
			$table .= "<td>";	
			$table .= "$field[$i]";
			$table .= "</td>";
		}
		$table .= "</tr>";
		
	}

	$table .= '</table>';
	
	return $table;
}
?>
<html>
<head>
<style type="text/css">
<!--
    table { font-family: Tahoma, sans-serif; font-size: 10pt; }
    .odd { background: #F0F0F0; }
    .even { background: #FFF; }
    .checked { background: #BAEAD6; }
    .add { color: #096; list-style: none; margin: 0px; padding: 0; border-top: 1px solid green; }
    .delete { color: #FF0000; list-style: none; margin: 0px; padding: 0; border-top: 1px solid green;
    #display { color: #000; list-style: none; margin: 0px; padding: 0;}
    #add { color: #096; list-style: none; margin: 0px; padding: 0; border-top: 1px solid green; }
    #display li, #add li { padding-left: 10px; }
    #display span, #add span { width: 350px; float:left; }
    form { margin: 0;}
-->
</style>
</head>
<body>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<?php
$row = array();
$settingobj = new COM('FSCONFIG.Cfgmgr') or die('frameNAT.php FSCONFIG.Cfgmgr Object cannot be created!');
$count = $settingobj->getKey('ip_num', 'proxyARP');

//original entries
for ($i=0; $i<$count; $i++) {
  $ipAddr = $settingobj->getKey('ip_addr'.$i, 'proxyARP');
  
  $row[$i][0] = ($i%2)==0? "even":"odd";
  $row[$i][1] = $ipAddr;
  $row[$i][2] = "<input type='checkbox' name='entry'>";
}

//new entries
$count = count($row);
for($i=0; $i<count($ip_array); $i++) {
  $pos = $i + $count;
  $row[$pos][0] = "add";
  $row[$pos][1] = $ip_array[$i];
  $row[$pos][2] = "<input type='checkbox' name='entry'>";
}

//removed entries
foreach($ipdeleteProxyARP_array as $pos) {
  $row[$pos][0] = "delete";
  $row[$pos][1] = "# ".$row[$pos][1];
  $row[$pos][2] = "<input type='checkbox' name='entry' disabled>";
}

$settingobj=null;

echo table_new($row);

?>
</table>
</body>
</html>