<script type="text/javascript">
<?php
    require_once("secureLogin.php"); //for security reason
    require_once("cmvar.php");
    $settingobj = new COM("FSCONFIG.Cfgmgr") or die("lookupSecret.php FSCONFIG.Cfgmgr Object cannot be created!");

    // obtain low, medium or high BT value from config.ini
    $outval = $settingobj->getKey( "bt_low", "bw_throttle");        
    if($outval!="") $low=$outval;
    $outval = $settingobj->getKey( "bt_medium", "bw_throttle");       
    if($outval!="") $medium=$outval;
    $outval = $settingobj->getKey( "bt_high", "bw_throttle");
    if($outval!="") $high=$outval;

    //find database source file
    $dsn_file=$settingobj->getKey( "Datasource", "gateway");
    $dsn_source=fopen($dsn_file, "r") or die("Cannot open DSN source file!");
    $dsn="";
    if (!feof($dsn_source)) { $line=fgets($dsn_source,512); }
    while (!feof($dsn_source)) {
      $line=fgets($dsn_source,512);
      if (trim($line)!="") $dsn=$dsn.$line;
    }
    fclose($dsn_source);
    $dsn=str_replace("\r\n",";",$dsn);

    //find database table name
    $sharedSecretTablename = $settingobj->getKey( "Datasource_Shared_Secret_Tablename", "gateway");
    $firstspotusertable=$settingobj->getKey( "Datasource_Tablename", "gateway");

    //release COM object
    //$settingobj->Release();
    $settingobj = null;

    /*****************************************
     *  Integerity check for submitted data  *
     *****************************************/

    $lookupError = false;
    if (!isset($gpName) || strpos($gpName,' ')!=false) {
        $lookupError = true;
        $rpcMessage = get_cm_var('ssecret_error_gpName_space');
    } else {
        //check for dulplicate secret name in database
        $secretDB=odbc_connect($dsn,"","");
        if ($secretDB) {
            $query = "SELECT * FROM $sharedSecretTablename WHERE groupname ='$gpName';";
            $result = odbc_exec($secretDB,$query);
            while(odbc_fetch_row($result)) {
                $arrDetail[]=odbc_result($result,"groupname");
                $btul=odbc_result($result,"btul");
                $btdl=odbc_result($result,"btdl");
                if ($btul=="" && $btdl=="") {
                    $arrDetail[] = "global";
                    $arrDetail[] = "";
                    $arrDetail[] = "";
                } else if ($btul==0 && $btdl==0) {
                    $arrDetail[] = "no";
                    $arrDetail[] = 0;
                    $arrDetail[] = 0;
                } else if ($btul==$low && $btdl==$low) {
                    $arrDetail[] = "low";
                    $arrDetail[] = $low;
                    $arrDetail[] = $low;
                } else if ($btul==$medium && $btdl==$medium) {
                    $arrDetail[] = "medium";
                    $arrDetail[] = $medium;
                    $arrDetail[] = $medium;
                } else if ($btul==$high && $btdl==$high) {
                    $arrDetail[] = "high";
                    $arrDetail[] = $high;
                    $arrDetail[] = $high;
                } else {
                    $arrDetail[] = "specify";
                    $arrDetail[] = round($btul);
                    $arrDetail[] = round($btdl);
                }
		// 20080422 - Add retrieving quota sharing parameters
                $arrDetail[]=odbc_result($result,"bwcount");
                $arrDetail[]=round(odbc_result($result,"accumbw"));
                $arrDetail[]=round(odbc_result($result,"bwquota"));
                $arrDetail[]=odbc_result($result,"bwcountUL");
                $arrDetail[]=round(odbc_result($result,"accumbwUL"));
                $arrDetail[]=round(odbc_result($result,"bwquotaUL"));
                $arrDetail[]=odbc_result($result,"bwrmethod");
                $arrDetail[]=odbc_result($result,"bwrdate");
                $arrDetail[]=odbc_result($result,"bwrperiod");
                $arrDetail[]=odbc_result($result,"lastrbw");                
                $arrDetail[] = odbc_result($result, "bwcountSha");
                $arrDetail[] = round(odbc_result($result, "accumbwSha"));
                $arrDetail[] = round(odbc_result($result, "bwquotaSha"));
                //find out if any user of that group is currently online
                $query = "SELECT count(*) FROM $firstspotusertable WHERE groupname ='$gpName' AND reserved1 IS NOT NULL;";
                $fsusrResult = odbc_exec($secretDB,$query);
                while (odbc_fetch_row($fsusrResult)) {
                    if (odbc_result($fsusrResult,1) >0) {
                        $arrDetail[]="online";
                    } else {
                        $arrDetail[]="offline";
                    }
                }
            }
            odbc_close($secretDB);
            if (isset($arrDetail)) {
                $rpcMessage = "$gpName|".implode(",",$arrDetail);
            } else {
                $lookupError = true;
                $rpcMessage = get_cm_var('ssecret_error_gpName_not_found');
            }
        } else {
            $lookupError = true;
            $rpcMessage = get_cm_var('ssecret_error_db_connect');
        }
    }
?>
parent.rpcLookupReply('<?=$lookupError?>|<?=$rpcMessage?>');
</script>
