<?php
require_once 'secureLogin.php'; //prevent hacker run this script by setting GET variables
?>
<html>
<head>
<title>Access control list table</title>
<style type="text/css">
<!--
    table { font-family: Tahoma, sans-serif; font-size: 10pt; }
    .odd { background: #F0F0F0; }
    .even { background: #FFF; }
    .checked { background: #BAEAD6; }
    #display { border-collapse: collapse; color: #000;  }
    #add { border-top: 1px solid #99D1A2; border-collapse: collapse ; color: #096; }
    form {margin: 0; }
-->
</style>
</head>
<body>
<?php

require_once 'display_list.php';

// register sessions, if needed
if (!isset($ser_display_acl)||($ser_display_acl=='')) {
    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('table_portflt.php FSCONFIG.Cfgmgr Object cannot be created!');

    $num_acl = $settingobj->getKey( 'num_acl', 'ACL');

    $tmp_num ='0'.trim($num_acl);

    $num = (int)$tmp_num;

    $display_acl = new Site_Array;

    $i = 0;
    while ($i < $num) {
        $portfltEntry[$i] = $settingobj->getKey( 'acl_addr'.$i, 'ACL');
        $strarray = trim($portfltEntry[$i]);
        $display_acl->add_site('','','false',FALSE,'');
        $display_acl->site_list[$i]->span = $strarray;
        $i++;
    }
    //release COM object
    //$settingobj->Release();
    $settingobj = null;

    $ser_display_acl = serialize($display_acl);
    session_register('ser_display_acl');
}

if (!isset($ser_add_acl)) {
    $add_acl = new Site_Array;
    $ser_add_acl = serialize($add_acl);
    session_register('ser_add_acl');
}

// unserialize data
if (isset($ser_display_acl)) {
    $display_acl = unserialize($ser_display_acl);
}
if (isset($ser_add_acl)) {
    $add_acl = unserialize($ser_add_acl);
}

if ($display_acl->num_sites > 0) {
    echo '
<table id="display" width="100%">
<colgroup span="3">
<col width="37%">
<col width="37%">
<col width="26%">
</colgroup>';

    $i = 0;
    $class = '';

    while ($i < $display_acl->num_sites) {
        if ($display_acl->site_list[$i]->name != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($display_acl->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }

            $num = explode(' ', $display_acl->site_list[$i]->span);

            echo "\n<tr class=\"$class\">\n";

            for ($k = 0; $k < sizeof($num); $k++) {
                $thisElement = $num[$k];
                if($num[$k] == '#') {
                    $k++;
                    $thisElement = '#'.$num[$k];
                }
                echo "    <td>$thisElement</td>\n";
            }

            echo '    <td><input type="checkbox" onClick="document.combo.item_no_acl.value=\'dis'.$i.'\'; document.combo.submit();" '.$checked.'></td>';
            echo "\n</tr>\n";
        }
        $i++;
    }
    echo "</table>\n";
}

if ($add_acl->num_sites > 0) {
    echo '
<table id="add" width="100%">
<colgroup span="3">
<col width="37%">
<col width="37%">
<col width="26%">
</colgroup>';

    $i = 0;
    $class = '';

    while ($i < $add_acl->num_sites) {
        if ($add_acl->site_list[$i]->name != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($add_acl->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }

            $num = explode(' ', $add_acl->site_list[$i]->span);

            echo "\n<tr class=\"$class\">\n";

            for ($k = 0; $k < sizeof($num); $k++) {
                $thisElement = $num[$k];
                if($num[$k] == '#') {
                    $k++;
                    $thisElement = '#'.$num[$k];
                }
                echo "    <td>$thisElement</td>\n";
            }

            echo '    <td><input type="checkbox" onClick="document.combo.item_no_acl.value=\'add'.$i.'\'; document.combo.submit();" '.$checked.'></td>';
            echo "\n</tr>\n";
        }
        $i++;
    }
    echo "</table>\n";
}

?>

<form name="combo" action="intermediate.php" method="post">
    <input type="hidden" name="item_no_acl" value="">
</form>

</body>
</html>
