<?php
 require_once('secureLogin.php'); //prevent hacker run this script by setting GET variables
 require_once "..\\authserv\\common_functions.php";
require_once '..\\authserv\\fs_lang.php';

//Get Message
if (file_exists("..\\authserv\\msgByIBMsg.php")) {
	ob_start();
	require_once "..\\authserv\\msgByIBMsg.php";
	ob_end_clean();
}

function getMsg($element)
{
    global $txtmsg;
    if ( isset($txtmsg[$element]) )
        return $txtmsg[$element];
    else
        return "";
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>IBMsg Record</title>
<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1" />
<style type="text/css">
tr { font-family: sans-serif; font-size: 8pt; }
tr.normal { background-color: #FFFFFF; }
tr.normalMarkAsOtherSite { background-color: #D9D9FF; }
tr.checked { background-color: #BAEAD6; }
	table.status_table {
		border-width: 0px;
		border-style: solid;
		border-color: #99D1A2;
		border-collapse: collapse;
		width:100%;
	}
	table.status_table td{
		border-width: 0px 1px 1px 0px;
		border-style:solid;
		border-color: #99D1A2;
		padding-left:3px;
		padding-right:3px;
		
	}
	table.status_table th{
		border-width: 0px 1px 1px 0px;
		border-style:solid;
		border-color: #99D1A2;
		padding-left:3px;
		padding-right:3px;
		text-align: center;
	}
	table.status_table div{
		overflow:hidden;
		/*white-space:nowrap;*/
	}
	#struct_row td{
		border-width:0px;
	}
.captionbig { font-size:10pt; font-weight:bold; color:#003300;}
</style>
</head>

<script>

function AddForceLogout(name)
{
    if(parent.document.form_ibmsg_record.ibmsg_del_str.value == '' )
        parent.document.form_ibmsg_record.ibmsg_del_str.value = name; 
    else                    
        parent.document.form_ibmsg_record.ibmsg_del_str.value = parent.document.form_ibmsg_record.ibmsg_del_str.value + ',' + name;  
}
function RemoveForceLogout(name)
{
    var tmpStr = parent.document.form_ibmsg_record.ibmsg_del_str.value;
    var head = tmpStr.substring(0, (tmpStr).indexOf(name)-1);
    var tail = tmpStr.substring(tmpStr.indexOf(name)+name.length, tmpStr.length);
    tmpStr = head + tail;
    if( tmpStr.indexOf(',')==0 )
        tmpStr = tmpStr.substring(1, tmpStr.length);
    parent.document.form_ibmsg_record.ibmsg_del_str.value = tmpStr;
}

function selectToggle(cb)
{
    var name = cb.value;
    
    if( cb.checked == true ) {
        document.getElementById(name).className='checked';
        AddForceLogout(name);
    }
    else {
        document.getElementById(name).className='normal';
        RemoveForceLogout(name);
    }
    
    // var count =0;
	// var arrCheckbox = parent.frames['usersFrame'].document.getElementsByName('OnlineUser');
	
	// for (var i=0; i<arrCheckbox.length; i++) {
		// if (arrCheckbox[i].checked == true)
			// count++;
	// }
	// //usercount is a span tag
	// parent.selectedUserFrame.document.getElementById('usercount').innerHTML = count;
	// //parent.selectedUserFrame.location.reload();
}
</script>

<?
// create COM object
$settingobj = new COM("FSCONFIG.Cfgmgr") or die("user_status.php FSCONFIG.Cfgmgr Object cannot be created!");

// scenario2 and load balancing
$isScenario2 = $settingobj->getKey('scenario2', 'gateway');
$FOMode=$settingobj->getKey('mode', 'FSFO');
$curr_ID="";

$enableLoadBalancing=0;
if($FOMode == 3){
	$enableLoadBalancing=1;
	$curr_ID = $settingobj->getKey('MachineID', 'FSFO');
}
else if ($isScenario2){
	$curr_ID = $settingobj->getKey('siteID', 'gateway');
}

if ($isScenario2 || $enableLoadBalancing)
	$conditionSiteID=" siteID ='".$curr_ID."' ";
else
	$conditionSiteID=" siteID is NULL or siteID ='' ";
	
$enableFailover=0;
$condMsgSiteID=""; // format siteID_XXXMachine
$msgSiteID="";
if ($FOMode == 1 || $FOMode == 2){
	$enableFailover=1;
	if ($isScenario2)
		$msgSiteID = $curr_ID."_";
		
	if ($FOMode == 1)
		$msgSiteID .= "MainMachine";
	else if ($FOMode == 2)
		$msgSiteID .= "BackupMachine";
		
	$condMsgSiteID=" siteID ='".$msgSiteID."' ";
	
}

$useRADIUS = $settingobj->getKey( "use_radius", "radius" );

if( strcasecmp( $useRADIUS, "true" )==0 ){
    $dsn_file = $settingobj->getKey( "Datasource", "radius");
}else{
    $dsn_file = $settingobj->getKey( "Datasource", "gateway");
}
$dsn_source=fopen($dsn_file, "r") or die("Cannot open DSN source file!");

$dsn="";

if(!feof($dsn_source))
{
    $line=fgets($dsn_source,512);
}

while (!feof($dsn_source))
{
    $line=fgets($dsn_source,512);
    if (trim($line)!="")
        $dsn=$dsn.$line;
}
$dsn=str_replace("\r\n",";",$dsn);

$ibmsg_tablename=$settingobj->getKey( "Datasource_ibmsg_Tablename", "gateway");

// init width of each cell
$checkboxCellWidth="5%";
$typeCellWidth="15%";
$unameCellWidth="15%";
$creationTimeCellWidth="20%";
$titleCellWidth="20%";
$messageCellWidth="25%";
$siteIDCellWidth="";

if ($isScenario2 || $enableLoadBalancing){
$checkboxCellWidth="3%";
$typeCellWidth="10%";
$unameCellWidth="10%";
$siteIDCellWidth="10%";
$creationTimeCellWidth="20%";
$titleCellWidth="20%";
$messageCellWidth="27%";

}

// Header label
?>
<table class="status_table" id="onlineUserList" border="0" cellspacing="0" cellpadding="0">
<tr>
	<th width="<?=$checkboxCellWidth?>">
	</th>
   <th width="<?=$typeCellWidth?>">
		<label class='captionbig'>Type</label>
   </th>
   <th width="<?=$unameCellWidth?>">
		<label class='captionbig'>To</label>
   </th>
   <?
   if ($isScenario2 || $enableLoadBalancing){
   ?>
	<th width="<?=$siteIDCellWidth?>">
		<label class='captionbig'>Site ID</label>
   </th>
   <?
   }
   ?>
   <th width="<?=$creationTimeCellWidth?>">
		<label class='captionbig'>Time</label>
   </th>
   <th width="<?=$titleCellWidth?>">
		<label class='captionbig'>Title</label>
   </th>
   <th width="<?=$messageCellWidth?>">
		<label class='captionbig'>Message</label>
   </th>
</tr>
<?

$userDB=odbc_connect($dsn,"","");

$f = "selectToggle(this)";

// user info
if ($userDB) 
{
	$cond1="";
	if ($enableFailover)
		$cond1 = $condMsgSiteID;
	else
		$cond1 = $conditionSiteID;
	
	// ** now only show current siteID
	$query="SELECT * FROM $ibmsg_tablename WHERE ($cond1) order by ibmsgTime, ibmsgID;";
	
    $result=odbc_exec($userDB,$query);
    while (odbc_fetch_row($result)) 
    {
		$ibmsgID=odbc_result($result,"ibmsgID");
		$ibmsgType=odbc_result($result,"ibmsgType");
		$ibmsgTime=odbc_result($result,"ibmsgTime");
		// * using floor() to avoid dbase number value = x.0 instead of an integer
		$contentRefID=floor (odbc_result($result,"conRefID"));
		$ibmsgSiteID=odbc_result($result,"siteID");
		$ibmsgUserName=odbc_result($result,"name");
		
		// interpret
		$str_type="";
		$str_creation_time="";
		$str_title="";
		$str_msg="";
		if ($ibmsgType == 1)
			$str_type="Global";
		else if ($ibmsgType == 2)
			$str_type="Personal";
		else
			$str_type="Unknown";
		
		if ($ibmsgTime != ""){
			$str_creation_time = date("D M d H:i:s Y", $ibmsgTime);
		}
		
		if ($contentRefID !="" && (strcasecmp($ibmsgSiteID, $curr_ID) == 0 || ($enableFailover && strcasecmp($ibmsgSiteID, $msgSiteID) == 0))){
			$msg_title=getMsg("ibmsg_g_title_".$contentRefID);
			$msg_txt=getMsg("ibmsg_g_msg_".$contentRefID);

			// 20090617 - Add decoding process
			$str_title = htmlspecialchars_decode($msg_title);
			$str_msg = htmlspecialchars_decode($msg_txt);
		}
	
	?>
	<tr id="<?=$ibmsgTime."|".$ibmsgID."|".$ibmsgType."|".$contentRefID?>">	
	<td style="border-left:0px;" width="<?=$checkboxCellWidth?>"><div><input type="checkbox" name="OnlineUser" value="<?=$ibmsgTime."|".$ibmsgID."|".$ibmsgType."|".$contentRefID?>" onclick="<?=$f?>"></input></div></td>
	<td id="<?=$ibmsgID?>|ibmsgType" width="<?=$typeCellWidth?>"><div><?=$str_type?></div></td>
	<td id="<?=$ibmsgID?>|ibmsgUserName" width="<?=$unameCellWidth?>"><div><?=$ibmsgUserName?></div></td>
	<?
	if ($isScenario2 || $enableLoadBalancing){
	?>
	<td id="<?=$ibmsgID?>|ibmsgSiteID" width="<?=$siteIDCellWidth?>"><div><?=$ibmsgSiteID?></div></td>
	<?
	}
	?>
	<td id="<?=$ibmsgID?>|ibmsgTime" width="<?=$creationTimeCellWidth?>"><div><?=$str_creation_time?></div></td>
	<?
	if (strcasecmp($ibmsgSiteID, $curr_ID) == 0 || ($enableFailover && strcasecmp($ibmsgSiteID, $msgSiteID) == 0)){
	?>
	<td id="<?=$ibmsgID?>|title" width="<?=$titleCellWidth?>"><div><?=$str_title?></div></td>
	<td id="<?=$ibmsgID?>|message" width="<?=$messageCellWidth?>"><div><?=$str_msg?></div></td>
	<?
	}
	else{
	?>
		<td id="<?=$ibmsgID?>|others" colspan="2" align="center"><div>For more detials of message, please refer to (<?=$ibmsgSiteID?>)</div></td>
	<?
	}
	?>
	</tr>
<?
	}

    odbc_close($userDB);
} else {
    echo "connection failed!";
}

// free COM object
//$settingobj->Release();
$settingobj=null;
?>
<tr id="struct_row">
	<td width="<?=$checkboxCellWidth?>">&nbsp;</td>
	<td width="<?=$typeCellWidth?>">&nbsp;</td>
	<td width="<?=$unameCellWidth?>">&nbsp;</td>
	<?
	if ($isScenario2 || $enableLoadBalancing){
	?>
	<td width="<?=$siteIDCellWidth?>">&nbsp;</td>
	<?
	}
	?>
	<td width="<?=$creationTimeCellWidth?>">&nbsp;</td>
	<td width="<?=$titleCellWidth?>">&nbsp;</td>
	<td width="<?=$messageCellWidth?>">&nbsp;</td>
</tr>
</table>
</body>
</html>

