<?php header("Cache-Control: no-cache, must-revalidate"); ?>
<?php
include_once '..\\authserv\\common_functions.php';
include_once "transaction.php";
$pending_release=false;

$settingobj = new COM("FSCONFIG.Cfgmgr") or die("wpay_callback.php FSCONFIG.Cfgmgr Object cannot be created!");
$id=$settingobj->getKey( "wpay_instID", "worldpay");
$return=$settingobj->getKey( "ppal_return", "paypal");
// 20070831 - Correct typo
$cancel_return=$settingobj->getKey( "ppal_cancel_return", "paypal");
//$settingobj->Release();
$settingobj=null;

//copy $_POST for validation
foreach ($_POST as $key => $val)
  $postfields[strtolower($key)] = $val;

if (!isset($_POST["M_invoice"])) {
  $log = date('l dS \of F Y h:i:s A')." - undefine invoice number.\r\n\r\n";
  $myTxn->writeLog("..\\log\\txn.log", $log);
  die;
}

$myTxn = new transaction();

if ( isset($_POST["instId"]) && $_POST["instId"] == $id )
{
  $valid_txn = true;

  $log = "";
  if (isset($_POST["transId"]) && $myTxn->isexist_transaction("txn_id", $_POST["transId"]) == true ) {
    $log .= date('l dS \of F Y h:i:s A')." - Transaction has been processed\r\n";
    $valid_txn = false;
  }

  if ( $myTxn->isexist_transaction("invoice", $_POST["M_invoice"]) != true ) {
    $log .= date('l dS \of F Y h:i:s A')." - invoice number not found\r\n";
    $valid_txn = false;
  }

  if ( $valid_txn == false ) {
    foreach ( $_POST as $key => $val )
      $log .= "$key = $val\r\n";
    $log .= "\r\n";
    $myTxn->writeLog("..\\log\\txn.log", $log);
  }

}
else
{ 
  $log = date('l dS \of F Y h:i:s A')." - Failed to Verify Transaction!\r\n";
  foreach ( $_POST as $key => $val )
    $log .= "$key = $val\r\n";
  $log .= "\r\n";  

  $myTxn->writeLog("..\\log\\txn.log", $log);
  
  die;
}

if ($valid_txn == true)
{
  $txn_fields=array();

	// 20090708 - Add field type array
	$bFieldNumeric = array();

  if (isset($_POST["M_invoice"]))
    $invoice_no = $_POST["M_invoice"];

  if (isset($_POST["M_plan"]))
    $plan = $_POST["M_plan"];

  if (isset($_POST["M_username"]))
    $username = $_POST["M_username"]; 
  
	if (isset($_POST["transStatus"])) {
		$txn_fields['pay_status'] = $_POST["transStatus"];
		$bFieldNumeric['pay_status'] = 0;
	}
  
	if (isset($_POST["transTime"])) {
		$txn_fields['pay_date'] = $_POST["transTime"];
		$bFieldNumeric['pay_date'] = 0;
	}

	if (isset($_POST["transId"])) {
		$txn_fields['txn_id'] = $_POST["transId"];
		$bFieldNumeric['txn_id'] = 0;
	}
  
	if (isset($_POST["cardType"])) {
		$txn_fields['pay_type'] = $_POST["cardType"];
		$bFieldNumeric['pay_type'] = 0;
	}
  
	if (isset($_POST["name"])) {
		$txn_fields['first_name'] = $_POST["name"];
		$bFieldNumeric['first_name'] = 0;
	}
  
	if (isset($_POST["name"])) {
		$txn_fields['last_name'] = $_POST["name"];
		$bFieldNumeric['last_name'] = 0;
	}
  
	if (isset($_POST["email"])) {
		$txn_fields['payeremail'] = $_POST["email"];
		$bFieldNumeric['payeremail'] = 0;
	}
  
	if (isset($_POST["msgType"])) {
		$txn_fields['txn_type'] = $_POST["msgType"];
		$bFieldNumeric['txn_type'] = 0;
	}
  
	if (isset($_POST["futurePayId"])) {
		$txn_fields['subscr_id'] = $_POST["futurePayId"];
		$bFieldNumeric['subscr_id'] = 0;
	}

  //handle your own postfields


  //update transaction
  if (count($txn_fields) > 0) {
    $txn_fields['pay_status'] = strtolower($txn_fields['pay_status'])=="y"? "Completed" : "Failed";
		$bFieldNumeric['pay_status'] = 0;

	// 20071114 - Set error flag
	// 20070807 - Validate if transacted amount matches with the plan
	$payErrFlag = 0;
	if (isset($_POST["desc"]) && isset($_POST["amount"])) {
	    $vRC = $myTxn->ValidateCart($_POST["desc"], $_POST["amount"]);
	    if ($vRC == -1) {
		$txn_fields['pay_status'] = "Failed";
		$payErrFlag = -2;
	    } elseif ($vRC == -2) {
		$txn_fields['pay_status'] = "Failed";
		$payErrFlag = -3;
	    }
	} else {
	    $txn_fields['pay_status'] = "Failed";
	    $payErrFlag = -1;
	}
	//$log = "WorldPay : ".date('l dS \of F Y h:i:s A')." - ".$_POST["desc"]." ".$_POST["amount"]." ".$txn_fields["pay_status"]."\r\n";
	//$myTxn->writeLog("..\\log\\txn.log", $log);

		$myTxn->update_transaction($invoice_no, $txn_fields, $bFieldNumeric);
  }

    // 20071116 - Enhance log messages
    // 20070807 - Add condition and log message
    //update user credit
    if (isset($_POST["transStatus"])) {
	if (strtolower($_POST["transStatus"]) == "y" && strtolower($txn_fields["pay_status"]) == "completed") {
	    $myTxn->update_usr_table($username, $plan);
	    $log = "WorldPay : ".date('l dS \of F Y h:i:s A')." - $username account has been updated!\r\n";
	} else {
	    if ($payErrFlag == -1) {
		$log = "WorldPay : ".date('l dS \of F Y h:i:s A')." - Fail to update $username account due to insufficient payment information!\r\n";
	    } elseif ($payErrFlag == -2) {
		$log = "WorldPay : ".date('l dS \of F Y h:i:s A')." - Fail to update $username account due to chosen shopping item does not exist!\r\n";
	    } elseif ($payErrFlag == -3) {
		$log = "WorldPay : ".date('l dS \of F Y h:i:s A')." - Fail to update $username account due to payment amount mismatch!\r\n";
	    } else {
		$log = "WorldPay : ".date('l dS \of F Y h:i:s A')." - Fail to update $username account!\r\n";
	    }

	    // 20071115 - Print all postfields for investigation
	    foreach ($_POST as $key => $val) {
		$log .= "$key = $val\r\n";
	    }
	    $log .= "\r\n";
	}
	$myTxn->writeLog("..\\log\\txn.log", $log);
    }
		
	$q = "SELECT count(*) as num FROM ".fs_usr_table()." WHERE MACasUsr='Y' and name='".$username."'";
  $result = db_query($q);
  $num = odbc_result($result, "num");
  
	// MAC address is the username
  if( $num > 0 ) {
	  $q = "SELECT pwd as pw FROM ".fs_usr_table()." WHERE MACasUsr='Y' and name='".$username."'";
		$result = db_query($q);
		$pw = odbc_result($result, "pw");
		
		// Passive Login
		if ($pw ==''){
		  // Run QueryPassiveLogin after success
		  $settingobj = new COM('FSCONFIG.Cfgmgr') or die;
			$cmd = realpath("..\\");
			$cmd .= "\\dispatcher\\QueryPassiveLogin.exe";
			$settingobj->runCommand($cmd);
			//$settingobj->Release();
			$settingobj=null;
		}
	}
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>FirstSpot&reg; | submit</title>
<link rel="stylesheet" href="local.css">
</head>
<body onLoad="redirect()">
<?php
if ( isset($_POST["transStatus"]) && strtolower($_POST["transStatus"]) == "y" && isset($valid_txn) && $valid_txn == true )
{
  $redirect_url=$return."?username=".$username;
  echo "<p>Transaction succeed!<br>";
}
else
{
  $redirect_url=$cancel_return."?username=".$username;
  echo "<p>Transaction failed!<br>";
  echo "Please contact the help desk!";
}
echo "<p>You will be redirected shortly.<br>";
echo "<a href='".$redirect_url."'>Click here to proceed</a>";
?>
</body>
<script type="text/javascript">
function redirect() {
  setTimeout("location.href=<?php echo "'".$redirect_url."'"; ?>", 1);
}
</script>
</html>
