<?php
    // purge if cancel
    if (isset($purge)&&($purge=='true')) {
        $ser_display_dhcp=NULL;
        $ser_add_dhcp=NULL;
        $ser_display_ignore=NULL;
        $ser_add_ignore=NULL;
    }

    $frame = '';
    $path_id = 'dhcp_path';
    $dns1_id = 'p_dns';
    $dns2_id = 'a_dns';
    $leasetime_id = 'leasetime_line';
    $form = 'form_dhcp';
    $defaultPath='none';
    $defaultDNS='none';
    $displaySetAuto = '';
    $isStatic = '';

    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('setcfg.php FSCONFIG.Cfgmgr Object cannot be created!');
    if (!isset($mode))
        $mode = $settingobj->getKey('dhcpmode', 'gateway');

// 20080317 - Include loading box file and initialize loading box
?>
<script type="text/javascript" src="./javascript/loadingBox.js"></script>
<script type="text/javascript" src="./javascript/dhcp.js"></script>
<script type="text/javascript">
    var ie = document.all;
    var ns = document.layers;
    var w3 = document.getElementById && !ie;

    function InitBtn()
    {
	if (!ie && !ns && !w3) {
	    return;
	}
	if (ie) {
	    loadingBoxDiv = eval('document.all.loadingBox.style');
	} else if (ns) {
	    loadingBoxDiv = eval('document.layers["loadingBox"]');
	} else if (w3) {
	    loadingBoxDiv = eval('document.getElementById("loadingBox").style');
	}
	ShowLoadingBox();
    }

    function ShowLoadingBox()
    {
	if (ie) {
	    documentHeight = document.body.scrollTop;
	} else if (ns) {
	    documentHeight = window.innerHeight + window.pageYOffset - 50;
	} else if (w3) {
	    documentHeight = self.pageYOffset;
	}
	loadingBoxDiv.right = 0;
	loadingBoxDiv.top = documentHeight;
	setTimeout("ShowLoadingBox()", 100);
    }
</script>
<script type="text/javascript">onload=InitBtn;</script>

<div id="loadingBox" class="loadingBoxBright" style="position:absolute; z-index:100;">
    <div id="loadingBoxText"></div>
    <a id="btnStop" class="stop" onclick="stopSearch('dhcp')"><?=get_cm_var('setcfg_dhcp_stop')?></a>
</div>
<script type="text/javascript">
    var gloMessage = new Object();
    gloMessage.setcfg_dhcp_loading = "<?=get_cm_var('setcfg_dhcp_loading')?>";
    CallDhcpLoadingBox(true, true);
</script>
<?
    echo '
    
    <form action="settingok.php" name="form_dhcp" method="post" onSubmit="return validate_dhcp()">
    <input type="hidden" name="is_static" value="FALSE">
    <input type="hidden" name="servermode" value="'.$mode.'">';

    gen_head();

?>
            <tr>
                <td width="400"><p class="indented"><img src="./images/blank.gif" width="6" height="6"><label class='captionbig' style='color: green;'><?=get_cm_var('setcfg_dhcp_firstspot_server_mode')?></label><img src="./images/blank.gif" width="50" height="6">
<?

    if(strcmp($mode, '0')==0) {
        $frame='setauto.php';
        $defaultPath='';
        $defaultDNS='';

        $input = '<input type="radio" class="normal" name="dhcpmode" checked onclick="expand()">'. get_cm_var('setcfg_dhcp_enable').'
                  <input type="radio" class="normal" name="dhcpmode" onclick="expand()">'. get_cm_var('setcfg_dhcp_disable');

    } else if (strcmp($mode, '1')==0) {
        $frame='setauto.php';
        $defaultPath='';
        $defaultDNS='';
        $isStatic = 'checked ';

        $input = '<input type="radio" class="normal" name="dhcpmode" checked onclick="expand()">'.get_cm_var('setcfg_dhcp_enable').'
                  <input type="radio" class="normal" name="dhcpmode" onclick="expand()">'.get_cm_var('setcfg_dhcp_disable');


    } else if (strcmp($mode, '2')==0) {
        $defaultPath='none';
        $defaultDNS='none';
        $displaySetAuto ='display: none;';

        $input = '<input type="radio" class="normal" name="dhcpmode" onClick="expand()">'.get_cm_var('setcfg_dhcp_enable').'
                  <input type="radio" class="normal" name="dhcpmode" checked onClick="expand()" >'.get_cm_var('setcfg_dhcp_disable');


    }

    echo $input.'</td><td width="50"></td><td width="300" class="normal"><img border="0" src="./images/blank.gif" width="100%" height="35"></td></tr>';
    echo '<tr id="staticlayer" style="'.$displaySetAuto.'"><td width="100%" colspan="4"><table width="100%" cellspacing="0" cellpadding="0"><tr><td width="50%" valign="top"></td><td width="50%" valign="top" class="normal"><input type="checkbox" name="staticmode" '.$isStatic.' onclick="expand()">'.get_cm_var("setcfg_dhcp_static").'</td></tr></table></td></tr>';

    echo '<tr id="staticlayer" ><td width="100%" colspan="4" class="normal">';
    echo '<iframe id="loadframe" style="'.$displaySetAuto.'" frameborder="0" width="750" height="400" src="'.$frame.'" marginwidth="0" marginheight="0" scrolling="no"></iframe>';
    echo '</td></tr>';

	// 20090429 - Adjust font size
    // 20080314 - Add layout for DHCP lease table
    echo '
    <tr id="statusLayer" style="'.$displaySetAuto.'"><td width="100%" colspan="4">
	<p><input id="dhcpLeaseBtn" type="button" value="'.get_cm_var('setcfg_dhcp_status_show_dhcp_lease').'" title="'.get_cm_var('setcfg_dhcp_status_show_dhcp_lease_title').'" class="graphicBtn" onClick="HideShowDhcpLease()" altValue="'.get_cm_var('setcfg_dhcp_status_hide_dhcp_lease').'" altTitle="'.get_cm_var('setcfg_dhcp_status_hide_dhcp_lease_title').'" /></p>
	<p><div id="dhcpLeaseDiv" style="display:none">
	    <table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr><iframe id="dhcpLeaseFrame" class="bordered_frame" frameborder="0" width="100%" height="200" marginwidth="2" marginheight="0"></iframe></tr>
		<tr class="normal"><b>'.get_cm_var('setcfg_dhcp_status_remarks_title').'</b><br /></tr>
		<tr class="normal">'.get_cm_var('setcfg_dhcp_status_remarks1').'<br /></tr>
		<tr class="normal">'.get_cm_var('setcfg_dhcp_status_remarks2').'<br /></tr>
	    </table>
	</div></p>
    </td></tr>
    ';

    gen_invisible_sep('dhcp_line1', $defaultPath);

    if (isset($path))
        $path=stripslashes($path);
    else
        $path=$settingobj->getKey('static_dhcp_path', 'gateway');

    $input='<input class="longtextbox" type="text" name="static_dhcp_path" value="'.$path.'">';
    gen_invisible_line(get_cm_var('setcfg_dhcp_static_dhcp_listing_file'), $input, $path_id, $defaultPath);

    gen_invisible_sep('dhcp_line2', $defaultDNS);

    $leasetime=$settingobj->getKey('leasetime', 'dhcp');
    $input='<input class="shorttextbox" type="text" name="leasetime" maxlength="10" value="'.$leasetime.'" onKeyPress="return numbersonly(this,event)">&nbsp;&nbsp;minutes';

    gen_invisible_line(get_cm_var('setcfg_dispatcher_leasetime'), $input, $leasetime_id, $defaultDNS);
    gen_invisible_sep('dhcp_line3', $defaultDNS);
    gen_invisible_sep('dhcp_line4', $defaultDNS);

    $preferred_DNS=$settingobj->getKey('preferred_DNS', 'gateway');
    $preferred_DNS_fields=split("\.", $preferred_DNS);
    $i=0; $input='';
    while ($i<3) {
        $input .= '<input class="IPtextbox" type="text" name="preferred_DNS'.$i.'" value="'.$preferred_DNS_fields[$i].'" maxlength="3" onKeyPress="return numbersonly(this,event,\'preferred_DNS'.($i+1).'\')" onfocus="this.select()">. ';
        $i++;
    } 
    $input .= '<input class="IPtextbox" type="text" name="preferred_DNS'.$i.'" value="'.$preferred_DNS_fields[$i].'" maxlength="3" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';

    gen_invisible_line(get_cm_var('setcfg_dispatcher_preferred_dns_for_private'), $input, $dns1_id, $defaultDNS);

    gen_invisible_sep('dhcp_line5', $defaultDNS);

    $alternate_DNS=$settingobj->getKey('alternate_DNS', 'gateway');
    $alternate_DNS_fields=split("\.", $alternate_DNS);
    $i=0; $input='';
    while ($i<3) {
        $input .= '<input class="IPtextbox" type="text" name="alternate_DNS'.$i.'" value="'.$alternate_DNS_fields[$i].'" maxlength="3" onKeyPress="return numbersonly(this,event,\'alternate_DNS'.($i+1).'\')" onfocus="this.select()">. ';
        $i++;
    }
    $input .= '<input class="IPtextbox" type="text" name="alternate_DNS'.$i.'" value="'.$alternate_DNS_fields[$i].'" maxlength="3" onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';

    gen_invisible_line(get_cm_var('setcfg_dispatcher_alternate_dns_for_private'), $input, $dns2_id, $defaultDNS);

    gen_invisible_sep('dhcp_line6', $defaultDNS);

    gen_save('save_dhcp',$fs_status);
    gen_foot();
    // release the COM object
    //$settingobj->Release();
    $settingobj=null;
?>

<!-- 20080318 - Hide loading box -->
<script type="text/javascript">CallDhcpLoadingBox(false, false);</script>
