<?php
$ipStart = 0;
$ipEnd = 0;
$mask = 0;

if( isset($start_ip1) && isset($start_ip2) && isset($start_ip3) && isset($start_ip4) )
  $ipStart="$start_ip1.$start_ip2.$start_ip3.$start_ip4";

if( isset($end_ip1) && isset($end_ip2) && isset($end_ip3) && isset($end_ip4) )
  $ipEnd="$end_ip1.$end_ip2.$end_ip3.$end_ip4";
  
if( isset($mask_ip1) && isset($mask_ip2) && isset($mask_ip3) && isset($mask_ip4) )
  $mask="$mask_ip1.$mask_ip2.$mask_ip3.$mask_ip4";

$ipS_array = isset($ser_ipS_array)? unserialize($ser_ipS_array) : array();
$ipE_array = isset($ser_ipE_array)? unserialize($ser_ipE_array) : array();
$mask_array = isset($ser_mask_array)? unserialize($ser_mask_array) : array();
$ipdelete_array = isset($ser_ipdelete_array)? unserialize($ser_ipdelete_array) : array();

if( $ipStart!=0 && $ipEnd!=0 && $mask!=0 )
{ 
  $ipS_array[count($ipS_array)] = $ipStart;
  $ipE_array[count($ipE_array)] = $ipEnd;
  $mask_array[count($mask_array)] = $mask;
  
  $ser_ipS_array = serialize($ipS_array);
  $ser_ipE_array = serialize($ipE_array);
  $ser_mask_array = serialize($mask_array);
  session_register('ser_ipS_array');
  session_register('ser_ipE_array');
  session_register('ser_mask_array');
}


if( isset($delete) )
{
  /*
  $entries = explode(",", $delete);

  for($i=0; $i<count($entries); $i++) {
    $ipdelete_array[count($ipdelete_array)] = $entries[$i];
  }
  */
  $temp = explode(",", $delete);
  $ipdelete_array = array_merge($ipdelete_array, $temp);
  $ser_ipdelete_array = serialize($ipdelete_array);
  session_register('ser_ipdelete_array');
}


//function:
function table_new($row) {
		
	$table = '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
	
	//x - row, y - col
	//$row[x][0] - html style class
	//$row[x][y] - field value
	foreach($row as $field) {			
		
		$table .= "<tr class='$field[0]'>";
		for($i=1; $i<count($field); $i++) {
			$table .= "<td>";	
			$table .= "$field[$i]";
			$table .= "</td>";
		}
		$table .= "</tr>";
		
	}

	$table .= '</table>';
	
	return $table;
}

?>
<html>
<head>
<style type="text/css">
<!--
    table { font-family: Tahoma, sans-serif; font-size: 10pt; }
    .odd { background: #F0F0F0; }
    .even { background: #FFF; }
    .checked { background: #BAEAD6; }
    .add { color: #096; list-style: none; margin: 0px; padding: 0; border-top: 1px solid green; }
    .delete { color: #FF0000; list-style: none; margin: 0px; padding: 0; border-top: 1px solid green;
    #display { color: #000; list-style: none; margin: 0px; padding: 0;}
    #add { color: #096; list-style: none; margin: 0px; padding: 0; border-top: 1px solid green; }
    #display li, #add li { padding-left: 10px; }
    #display span, #add span { width: 350px; float:left; }
    form { margin: 0;}
-->
</style>
</head>
<body>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<?php
$row = array();
$settingobj = new COM('FSCONFIG.Cfgmgr') or die('frameNAT.php FSCONFIG.Cfgmgr Object cannot be created!');
$count = $settingobj->getKey('NAT_AddrR_Count', 'NAT');

//original entries
for ($i=0; $i<$count; $i++) {
  $ipS = $settingobj->getKey('NAT_AddrR_ipS_'.$i, 'NAT');
  $ipE = $settingobj->getKey('NAT_AddrR_ipE_'.$i, 'NAT');
  $sub_mask = $settingobj->getKey('NAT_AddrR_mask_'.$i, 'NAT');
  
  $row[$i][0] = ($i%2)==0? "even":"odd";
  $row[$i][1] = $ipS." - ".$ipE;
  $row[$i][2] = $sub_mask;
  $row[$i][3] = "<input type='checkbox' name='entry'>";
}

//new entries
$count = count($row);
for($i=0; $i<count($ipS_array); $i++) {
  $pos = $i + $count;
  $row[$pos][0] = "add";
  $row[$pos][1] = $ipS_array[$i]." - ".$ipE_array[$i];
  $row[$pos][2] = $mask_array[$i];
  $row[$pos][3] = "<input type='checkbox' name='entry'>";
}	

//removed entries
foreach($ipdelete_array as $pos) {
  $row[$pos][0] = "delete";
  $row[$pos][1] = "# ".$row[$pos][1];
  $row[$pos][3] = "<input type='checkbox' name='entry' disabled>";
}

$settingobj=null;

echo table_new($row);

?>
</table>
</body>
</html>