<?php
/*
 * Please refer
 * https://cms.paypal.com/us/cgi-bin/?cmd=_render-content&content_ID=developer/e_howto_html_countrycodes
 * for complete list of country codes and FirstSpot\cfgmgr\lang_table.php for the corresponding languages.
 */

$langCode['af'] = 'AF';
$langCode['sq'] = 'AL';
//$langCode['ar'] = '';
$langCode['ar-dz'] = 'DZ';
$langCode['ar-bh'] = 'BH';
$langCode['ar-eg'] = 'EG';
$langCode['ar-iq'] = 'IQ';
$langCode['ar-jo'] = 'JO';
$langCode['ar-kw'] = 'KW';
$langCode['ar-lb'] = 'LB';
$langCode['ar-ly'] = 'LY';
$langCode['ar-ma'] = 'MA';
$langCode['ar-om'] = 'OM';
$langCode['ar-qa'] = 'QA';
$langCode['ar-sa'] = 'SA';
$langCode['ar-sy'] = 'SY';
$langCode['ar-tn'] = 'TN';
$langCode['ar-ae'] = 'AE';
$langCode['ar-ye'] = 'YE';
$langCode['hy'] = 'AM';
$langCode['as'] = 'IN';
$langCode['az'] = 'AZ';
//$langCode['eu'] = '';
$langCode['be'] = 'BY';
$langCode['bn'] = 'BD';
$langCode['bg'] = 'BG';
$langCode['ca'] = 'AD';
$langCode['zh'] = 'CN';
$langCode['zh-cn'] = 'CN';
$langCode['zh-hk'] = 'HK';
$langCode['zh-mo'] = 'MO';
$langCode['zh-sg'] = 'TW';	// SG will show US only
$langCode['zh-tw'] = 'TW';
$langCode['hr'] = 'HR';
$langCode['cs'] = 'CZ';
$langCode['da'] = 'DK';
$langCode['div'] = 'MV';
$langCode['nl-be'] = 'BE';	// BE will show US as default
$langCode['nl'] = 'NL';
$langCode['en'] = 'US';
$langCode['en-au'] = 'AU';
$langCode['en-bz'] = 'BZ';
$langCode['en-ca'] = 'CA';
$langCode['en-ie'] = 'IE';
$langCode['en-jm'] = 'JM';
$langCode['en-nz'] = 'NZ';
$langCode['en-ph'] = 'PH';
$langCode['en-za'] = 'ZA';
$langCode['en-tt'] = 'TT';
$langCode['en-gb'] = 'GB';
$langCode['en-us'] = 'US';
$langCode['en-zw'] = 'ZW';
$langCode['et'] = 'EE';
$langCode['fo'] = 'FO';
$langCode['fa'] = 'IR';
$langCode['fi'] = 'FI';
$langCode['fr'] = 'FR';
$langCode['fr-be'] = 'BE';	// BE will show US as default
$langCode['fr-ca'] = 'FR';
$langCode['fr-lu'] = 'LU';	// LU will show US as default
$langCode['fr-mc'] = 'FR';
$langCode['fr-ch'] = 'CH';	// CH will show US as default
$langCode['mk'] = 'MK';
//$langCode['gd'] = '';
$langCode['ka'] = 'GE';
$langCode['de'] = 'DE';
$langCode['de-at'] = 'AT';
$langCode['de-li'] = 'DE';	// LI will show US as default and without German option
$langCode['de-lu'] = 'LU';	// LU will show US as default
$langCode['de-ch'] = 'CH';	// CH will show US as default
$langCode['el'] = 'GR';
$langCode['gu'] = 'IN';
$langCode['he'] = 'IL';
$langCode['hi'] = 'IN';
$langCode['hu'] = 'HU';
$langCode['is'] = 'IS';
$langCode['id'] = 'ID';
$langCode['it'] = 'IT';
$langCode['it-ch'] = 'IT';	// CH will show US as default and without Italian option
$langCode['ja'] = 'JP';
$langCode['kn'] = 'IN';
$langCode['kk'] = 'KZ';
$langCode['kok'] = 'IN';
$langCode['ko'] = 'KR';
$langCode['kz'] = 'KG';
$langCode['lv'] = 'LV';
$langCode['lt'] = 'LT';
$langCode['ms'] = 'MY';
$langCode['ml'] = 'IN';
$langCode['mt'] = 'MT';
$langCode['mr'] = 'IN';
$langCode['mn'] = 'MN';
$langCode['ne'] = 'NP';
$langCode['nb-no'] = 'NO';
$langCode['no'] = 'NO';
$langCode['nn-no'] = 'NO';
$langCode['or'] = 'IN';
$langCode['pl'] = 'PL';
$langCode['pt'] = 'PT';
$langCode['pt-br'] = 'BR';
$langCode['pa'] = 'IN';
$langCode['rm'] = 'RO';
$langCode['ro'] = 'RO';
$langCode['ro-md'] = 'MD';
$langCode['ru'] = 'RU';
$langCode['ru-md'] = 'RU';
$langCode['sa'] = 'IN';
$langCode['sr'] = 'CS';
$langCode['sk'] = 'SK';
$langCode['ls'] = 'SI';
$langCode['sb'] = 'DE';
$langCode['es'] = 'ES';
$langCode['es-ar'] = 'AR';
$langCode['es-bo'] = 'BO';
$langCode['es-cl'] = 'CL';
$langCode['es-co'] = 'CO';
$langCode['es-cr'] = 'CR';
$langCode['es-do'] = 'DO';
$langCode['es-ec'] = 'EC';
$langCode['es-sv'] = 'SV';
$langCode['es-gt'] = 'GT';
$langCode['es-hn'] = 'HN';
$langCode['es-mx'] = 'MX';
$langCode['es-ni'] = 'NI';
$langCode['es-pa'] = 'PA';
$langCode['es-py'] = 'PY';
$langCode['es-pe'] = 'PE';
$langCode['es-pr'] = 'PR';
$langCode['es-us'] = 'ES';
$langCode['es-uy'] = 'UY';
$langCode['es-ve'] = 'VE';
$langCode['sx'] = 'LS';
$langCode['sw'] = 'KE';
$langCode['sv'] = 'SE';
$langCode['sv-fi'] = 'SE';	// FI will show US as default and without Swedish option
$langCode['syr'] = 'RO';
$langCode['ta'] = 'IN';
$langCode['tt'] = 'RU';
$langCode['te'] = 'IN';
$langCode['th'] = 'TH';
$langCode['ts'] = 'ZA';
$langCode['tn'] = 'BW';
$langCode['tr'] = 'TR';
$langCode['uk'] = 'UA';
$langCode['ur'] = 'PK';
$langCode['uz'] = 'UZ';
$langCode['vi'] = 'VN';
$langCode['xh'] = 'ZA';
//$langCode['yi'] = '';
$langCode['zu'] = 'ZA';

?>
