function noSpecialCharacters(myfield, e)
{
    var key;
    var keychar;

    if (window.event)
        key = window.event.keyCode;
    else if (e)
        key = e.which;
    else
        return true;
    keychar = String.fromCharCode(key);
    // control keys
    if ( (key==null) || (key==0) || (key==8) || (key==9) || (key==13) || (key==27) ){
        return true;
    }
    else if ((("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890~`!@#$%^&*()_-+=|{}[]:;<>.?").indexOf(keychar) > -1)){// numbers
        return true;
    }
    else{
        return false;
    }
}

function checkfield(x){
    if ((x>=0)&&(x<=255))
        return true;
    else
        return false;
}

function checkIP(x1,x2,x3,x4){
    var n1=parseInt(x1);
    var n2=parseInt(x2);
    var n3=parseInt(x3);
    var n4=parseInt(x4);

    if( !(isNaN(n1)||isNaN(n2)||isNaN(n3)||isNaN(n4))&&
        (((n1>=1)&&(n1<=223)&&(n1!=127))&&checkfield(n2)&&checkfield(n3)&&checkfield(n4)) )
        return true;
    else
        return false;
}

function checkmask(x1,x2,x3,x4){ 
    var mask_array = new Array(4);
    var i=0;
    var j=3;

    mask_array[0]=parseInt(x1);
    mask_array[1]=parseInt(x2);
    mask_array[2]=parseInt(x3);
    mask_array[3]=parseInt(x4);
    while (mask_array[i]==255)
        i++;

    while (mask_array[j]==0)
        j--;

    if ((i>3)||(j<0))
        return false;
    else if (i==j){
        n=mask_array[i];
        if ((n==254)||(n==252)||(n==248)||(n==240)||(n==224)||(n==192)||(n==128))
            return true;
        else
            return false;
    }else if ((mask_array[i]==0)&&(mask_array[j]==255)&&(i==j+1))
         return true;
    else
        return false;
}

function checkport(strng){
    var n = parseInt(strng);

    if (isNaN(n)||(n<1025)||(n>65535))
        return false;
    else
        return true;
}

function checkMaxAttempt(strng){
    var n = parseInt(strng);

    if ((n<=0)||(n>99))
         return false;
    else
        return true;
}

function isEmpty(strng){
    if (strng.length==0)
        return true;
    else
        return false;
}

function checkMAC(x1,x2,x3,x4,x5,x6){
    var n1 = parseInt(x1,16);
    var n2 = parseInt(x2,16);
    var n3 = parseInt(x3,16);
    var n4 = parseInt(x4,16);
    var n5 = parseInt(x5,16);
    var n6 = parseInt(x6,16);

    if( (isNaN(n1)||(n1<0)||(n1>255))||
        (isNaN(n2)||(n2<0)||(n2>255))||
        (isNaN(n3)||(n3<0)||(n3>255))||
        (isNaN(n4)||(n4<0)||(n4>255))||
        (isNaN(n5)||(n5<0)||(n5>255))||
        (isNaN(n6)||(n6<0)||(n6>255)) )
        return false;
    else
        return true;
}

//Copyright c 2001-2004 www.smartwebby.com
//Smart Webby Inc. All Rights Reserved
function isInteger(s){
    var i;
    for (i = 0; i < s.length; i++){   
        // Check that current character is number.
        var c = s.charAt(i);
        if (((c < "0") || (c > "9")))
        return false;
    }
    // All characters are numbers.
    return true;
}

function stripCharsInBag(s, bag){
    var i;
    var returnString = "";
    // Search through string's characters one by one.
    // If character is not in bag, append to returnString.
    for (i = 0; i < s.length; i++){   
        var c = s.charAt(i);
        if (bag.indexOf(c) == -1)
        returnString += c;
    }
    return returnString;
}

function daysInFebruary (year){
    // February has 29 days in any year evenly divisible by four,
    // EXCEPT for centurial years which are not also divisible by 400.
    return (((year % 4 == 0) && ( (!(year % 100 == 0)) || (year % 400 == 0))) ? 29 : 28 );
}

function DaysArray(n) {
    for (var i = 1; i <= n; i++) {
        this[i] = 31;
        if (i==4 || i==6 || i==9 || i==11)
            this[i] = 30;
        if (i==2)
                this[i] = 29;
    } 
    return this;
}

function isDate(dtStr, dtTime){
    var dtCh= "-";
    var dtDelim = ":";
    var minYear=1900;
    var maxYear=2100;
    var daysInMonth = DaysArray(12);
    var pos1=dtStr.indexOf(dtCh);
    var pos2=dtStr.indexOf(dtCh,pos1+1);
    var strMonth=dtStr.substring(0,pos1);
    var strDay=dtStr.substring(pos1+1,pos2);
    var strYear=dtStr.substring(pos2+1);
    var pos3=dtTime.indexOf(dtDelim);
    //var pos4=dtTime.indexOf(dtDelim, pos3+1);
    var strHour=dtTime.substring(0,pos3);
    var strMintue=dtTime.substring(pos3+1);

    strYr=strYear;
    if (strDay.charAt(0)=="0" && strDay.length>1)
        strDay=strDay.substring(1);
    if (strMonth.charAt(0)=="0" && strMonth.length>1)
        strMonth=strMonth.substring(1);
    if (strHour.charAt(0)=="0" && strHour.length>1)
        strHour=strHour.substring(1);
    if (strMintue.charAt(0)=="0" && strMintue.length>1)
        strMintue=strMintue.substring(1);
    for (var i = 1; i <= 3; i++) {
        if (strYr.charAt(0)=="0" && strYr.length>1)
            strYr=strYr.substring(1);
    }
    month=parseInt(strMonth);
    day=parseInt(strDay);
    year=parseInt(strYr);
    hour=parseInt(strHour);
    mintue=parseInt(strMintue);

    if (pos1==-1 || pos2==-1 || pos3==-1 ){
        return false
    }
    if (!isInteger(strHour) || strHour.length<1 || hour<0 || hour>23){
        return false
    }
    if (!isInteger(strMintue) || strMintue.length<1 || mintue<0 || mintue>59){
        return false
    }
    if (!isInteger(strMonth) || strMonth.length<1 || month<1 || month>12){
        return false
    }
    if (!isInteger(strDay) || strDay.length<1 || day<1 || day>31 || (month==2 && day>daysInFebruary(year)) || day > daysInMonth[month]){
        return false
    }
    if (!isInteger(strYear) || strYear.length != 4 || year==0 || year<minYear || year>maxYear){
        return false
    }
    if (dtStr.indexOf(dtCh,pos2+1)!=-1 || isInteger(stripCharsInBag(dtStr, dtCh))==false){
        return false
    }
    return true
}

function isTime(timeStr) {
    if (timeStr.length == 5) {
        var hr = timeStr.substring(0,2);
        var min = timeStr.substring(3,5);
        
        if (hr == +hr)
            hr = parseInt(hr);
        else
            return false;
        
        if (min == +min) 
            min = parseInt(min);
        else
            return false;

        if (timeStr.charAt(2) != ":")
            return false;
       
        if (hr<0 || hr>24)
            return false;

        if (min<0 || min>59)
            return false;
        
        return true;
    }
    
    return false;
}

// copyright 1999 Idocs, Inc. http://www.idocs.com
// Distribute this script freely but keep this notice in place
function numbersonly(myfield, e, dec)
{
    var key;
    var keychar;

    if (window.event)
        key = window.event.keyCode;
    else if (e)
        key = e.which;
    else
        return true;
    keychar = String.fromCharCode(key);

    // control keys
    if ( (key==null) || (key==0) || (key==8) || (key==9) || (key==13) || (key==27) )
        return true;
    else if ((("0123456789").indexOf(keychar) > -1))// numbers
        return true;
    else if (dec && (keychar == ".")){// decimal point jump
        myfield.form.elements[dec].focus();
        return false;
    }else
        return false;
}

function hexnumbersonly(myfield, e, dec)
{
    var key;
    var keychar;

    if (window.event)
        key = window.event.keyCode;
    else if (e)
        key = e.which;
    else
        return true;
    keychar = String.fromCharCode(key);

    if (keychar=="a") { keychar="A"; }
    else if (keychar=="b") { keychar="B"; }
    else if (keychar=="c") { keychar="C"; }
    else if (keychar=="d") { keychar="D"; }
    else if (keychar=="e") { keychar="E"; }
    else if (keychar=="f") { keychar="F"; }

    // control keys
    if ( (key==null) || (key==0) || (key==8) || (key==9) || (key==13) || (key==27) )
        return true;

    // numbers
    else if ((("0123456789ABCDEF").indexOf(keychar) > -1)) {
        if ( myfield.value.length==2 && dec) {
            myfield.form.elements[dec].focus();
        }
        return true;
    }

    // decimal point jump
    else if (dec && (keychar == "-")) {
        myfield.form.elements[dec].focus();
        return false;
    }else
        return false;
}

//modified from function numbersonly()
//by Jason 16-06-2004
function lettersonly(myfield, e, dec)
{
    var key;
    var keychar;

    if (window.event)
        key = window.event.keyCode;
    else if (e)
        key = e.which;
    else
        return true;
    keychar = String.fromCharCode(key);

    // control keys
    if ( (key==null) || (key==0) || (key==8) || (key==9) || (key==13) || (key==27) )
        return true;
    // numbers
    else if ((("0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ").indexOf(keychar) > -1))
        return true;
    else
        return false;
}

// 20071029 - Add URL format checking
//#kk credit card
function validate_cc_field(str) { 
    var pos = str.search(/:\/\//);

    if (pos < 1 || pos == (str.length)-3) {
	return false;
    }
    return true;
}
//kk

// Hans
function iponly(myfield, e, dec)
{
    var key;
    var keychar;

    if (window.event)
        key = window.event.keyCode;
    else if (e)
        key = e.which;
    else
        return true;
    keychar = String.fromCharCode(key);

    // control keys
    if ( (key==null) || (key==0) || (key==8) || (key==9) || (key==13) || (key==27) )
        return true;
    else if ((("0123456789").indexOf(keychar) > -1)){// numbers
    	var num = myfield.value+keychar;
    	if( num <0 || num > 255 ){
    		return false;
		}
        return true;
	}else if (dec && (keychar == ".")){// decimal point jump
    	if( myfield.value>0 && myfield.value<256 )
    		myfield.form.elements[dec].focus();
    	else
    		alert( 'IP value cannot be lower than 0 or greater than 255' );
        return false;
    }else
        return false;
}

function portonly(myfield, e, dec)
{
    var key;
    var keychar;

    if (window.event)
        key = window.event.keyCode;
    else if (e)
        key = e.which;
    else
        return true;
    keychar = String.fromCharCode(key);

    // control keys
    if ( (key==null) || (key==0) || (key==8) || (key==9) || (key==13) || (key==27) )
        return true;
    else if ((("0123456789").indexOf(keychar) > -1)){// numbers
    	var num = myfield.value+keychar;
    	if( num <0 || num > 9999 ){
    		return false;
		}
        return true;
    }else
        return false;
}

// get IP from string and check valid IP 
function checkIP2 (s){
	
	var ch = '.';
	var pos1 = s.indexOf(ch);
	var pos2 = s.indexOf(ch,pos1+1);
	var pos3 = s.indexOf(ch,pos2+1);
	var pos4 = s.indexOf(ch,pos3+1);
	
	var str1=s.substring(0,pos1);
	var str2=s.substring(pos1+1,pos2);
	var str3=s.substring(pos2+1,pos3);
	var str4=s.substring(pos3+1,pos4);
	
	return  checkIP(str1, str2, str3, str4);
	
}

// 20071017 - Check Enable Redirect PHP settings
function CheckPhp(flagPhp, filename)
{
    if (flagPhp.checked == true && filename.value.length <= 0) {
	return false;
    } else {
	return true;
    }
}

// 20090324 - Check if invalid port range characters in inputted string
function IsPortRangeChar(inStr)
{
    var c, i;

    for (i = 0; i < inStr.length; i++) {
	c = inStr.charAt(i);
	if (!(c == ',' || c == '-' || (c >= '0' && c <= '9'))) {
	    return false;
	}
    }

    return true;
}
